FreeBSD: oniguruma -- 複数の脆弱性(b396cf6c-62e6-11e7-9def-b499baebfeaf)

critical Nessus プラグイン ID 101332

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのFreeBSDホストに1つ以上のセキュリティ関連の更新プログラムがありません。

説明

the PHP プロジェクトによる報告:

- 正規表現検索中に、match_at()でスタック領域外読み取りが発生します。match_at()で検証とアクセスの順序に関係する論理エラーは、スタックバッファからの領域外読み取りを引き起こす可能性があります(CVE-2017-9224)。

- 正規表現のコンパイル中にnext_state_val()でヒープ領域外の書き込みまたは読み取りが発生します。0xffより大きい8進数が、fetch_token()とfetch_token_in_cc()で正しく処理されません。「\700」の形式で8進数が含まれる不正な形式の正規表現で、next_state_val()の0xffより大きい無効なコードポイント値が生成され、領域外書き込みメモリの破損が発生します(CVE-2017-9226)。

- 正規表現検索中に、mbc_enc_len()でスタック領域外読み取りが発生します。forward_search_range()のreg->dminの処理が無効であると、スタックバッファからの領域外読み取りとして、ポインターのデリファレンスが無効になる可能性があります(CVE-2017-9227)。

- 不適切な状態遷移からの初期化されていない変数により、正規表現のコンパイル中にbitset_set_range()でヒープ領域外書き込みが発生します。parse_char_class()の不適切な状態遷移により、重要なローカル変数がインデックスとして使用されるまで初期化されず、結果として領域外書き込みのメモリが破損する可能性があります(CVE-2017-9228)。

- 正規表現のコンパイル中にSIGSEGVがleft_adjust_char_head()で発生します。forward_search_range()のreg->dmaxの処理が無効であると、通常は即時のサービス拒否の状態として、ポインターのデリファレンスが無効になる可能性があります(CVE-2017-9228)。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://php.net/ChangeLog-7.php

http://www.nessus.org/u?d3123c8d

プラグインの詳細

深刻度: Critical

ID: 101332

ファイル名: freebsd_pkg_b396cf6c62e611e79defb499baebfeaf.nasl

バージョン: 3.5

タイプ: local

公開日: 2017/7/10

更新日: 2021/1/4

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:libevhtp, p-cpe:/a:freebsd:freebsd:oniguruma4, p-cpe:/a:freebsd:freebsd:oniguruma5, p-cpe:/a:freebsd:freebsd:oniguruma6, p-cpe:/a:freebsd:freebsd:php56-mbstring, p-cpe:/a:freebsd:freebsd:php70-mbstring, p-cpe:/a:freebsd:freebsd:php71-mbstring, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

パッチ公開日: 2017/7/7

脆弱性公開日: 2017/7/6

参照情報

CVE: CVE-2017-9224, CVE-2017-9226, CVE-2017-9227, CVE-2017-9228